Update (PUT alias) agents/item/follow up rules
curl --request PUT \
--url https://api.callaro.ai/api/v1/agents/{id}/follow-up-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rule_ids": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rule_ids: ['<string>']})
};
fetch('https://api.callaro.ai/api/v1/agents/{id}/follow-up-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{id}/follow-up-rules"
payload = { "rule_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"priority": 123,
"applies_tenant_wide": "<string>",
"follow_up_type": "<string>",
"delay_minutes": "<string>",
"max_attempts": 123
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Agents
Update (PUT alias) agents/item/follow up rules
From api/v1/agent_follow_up_rules#update in voice_saas_api. Fields come from that action’s strong params / params usage.
PUT
/
api
/
v1
/
agents
/
{id}
/
follow-up-rules
Update (PUT alias) agents/item/follow up rules
curl --request PUT \
--url https://api.callaro.ai/api/v1/agents/{id}/follow-up-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rule_ids": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rule_ids: ['<string>']})
};
fetch('https://api.callaro.ai/api/v1/agents/{id}/follow-up-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{id}/follow-up-rules"
payload = { "rule_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"priority": 123,
"applies_tenant_wide": "<string>",
"follow_up_type": "<string>",
"delay_minutes": "<string>",
"max_attempts": 123
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Body
application/json
Was this page helpful?